<?php

namespace App\Http\Controllers;

use GuzzleHttp\Client;
use App\Http\Controllers\MasheryAPIClient;
use Closure;

Class MasheryGetUserController extends controller
{
    private $client = null;
    private $name = 'marketplace.dev';
    private $token = null;

    public function __construct()
    {
        $apiClient = new MasheryAPIClient('y4a5rz5ccv374qu33558f65b','yuZRnvKvYY');
        $this->token = $apiClient->prepareAccessToken();
    }

    public function getUser()
    {
        $url = 'rest/members?filter=username:' . $this->name;

        $this->client = new Client([
            'base_uri' => $this->API_URL,
            'headers' => [
                'Authorization' => 'Bearer ' . $this->token,        
                'Content-Type' => 'application/json',
            ]
        ]);
        
        $response = $this->client->request('GET', $url);

        $result = json_decode($response->getBody()->getContents());

        return response()->json($result);
    }

}